#ifndef SOUNDSPATCH_H
#define SOUNDSPATCH_H

#include <QObject>

#include "models/patch/patch.h"

class SoundsPatch : public Patch
{
    Q_OBJECT

public:
    SoundsPatch(LotroDatManager* mgr, QObject* parent = nullptr);

private slots:
    virtual void checkForUpdates() override;
    virtual void download() override;
    virtual void install() override;
    virtual void activate() override;

private slots:
    void onDownloaderProgressChanged(Downloader* ptr, Downloader::Status status);
    void onDownloaderFinished(Downloader* ptr);

    void onLotroDatManagerOperationStarted(QString operation_name, QVector<QVariant> args);
    void onLotroDatManagerOperationFinished(QString operation_name, QVector<QVariant> args, bool successful);
    void onLotroDatManagerStatusChanged(LotroDatManager::Status status);

private:
    const QStringList databases_names = {
        "sound",
    };
};

#endif // SOUNDSPATCH_H
